<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'eurolloyd',

    /*
     * Package.
     */
    'package'   => 'eurolloyds',

    /*
     * Modules.
     */
    'modules'   => ['object'],

    
    'object'       => [
        'model' => [
            'model'                 => \Eurolloyd\Eurolloyds\Models\Object::class,
            'table'                 => 'objects',
            'presenter'             => \Eurolloyd\Eurolloyds\Repositories\Presenter\ObjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'title',  'type',  'organizer',  'brand_id',  'attributes',  'categories',  'stars',  'booking_link',  'duration',  'price',  'flights_details',  'status',  'country',  'region_city_spot',  'degree',  '11)',  'degree',  '11)',  'zoom',  'club_details',  'leisure',  'our_privileges',  'image',  'description',  'keywords',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'eurolloyds/object',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Eurolloyd',
            'package'   => 'Eurolloyds',
            'module'    => 'Object',
        ],

    ],
];
