# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/eurolloyd/eurolloyd/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/eurolloyd/eurolloyd/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Eurolloyd\\Eurolloyd\\": "packages/eurolloyd/eurolloyd/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Eurolloyd'  => Eurolloyd\Eurolloyd\Facades\Eurolloyd::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Eurolloyd\\EurolloydTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/eurolloyd/{modulename}

**User**

    http://path-to-route-folder/user/eurolloyd/{modulename}

**Public**

    http://path-to-route-folder/eurolloyds


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/eurolloyd/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/eurolloyd/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/eurolloyd/{modulename}/{slug}
    METHOD: GET