<?php

namespace Eurolloyd\Eurolloyds\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ObjectTransformer extends TransformerAbstract
{
    public function transform(\Eurolloyd\Eurolloyds\Models\Object $object)
    {
        return [
            'id'                => $object->getRouteKey(),
            'key'               => [
                'public'    => $object->getPublicKey(),
                'route'     => $object->getRouteKey(),
            ], 
            'name'              => $object->name,
            'title'             => $object->title,
            'type'              => $object->type,
            'organizer'         => $object->organizer,
            'brand_id'          => $object->brand_id,
            'attributes'        => $object->attributes,
            'categories'        => $object->categories,
            'stars'             => $object->stars,
            'booking_link'      => $object->booking_link,
            'duration'          => $object->duration,
            'price'             => $object->price,
            'flights_details'   => $object->flights_details,
            'country'           => $object->country,
            'region_city_spot'  => $object->region_city_spot,
            'degree'            => $object->degree,
            '11)'               => $object->11),
            'degree'            => $object->degree,
            '11)'               => $object->11),
            'zoom'              => $object->zoom,
            'club_details'      => $object->club_details,
            'leisure'           => $object->leisure,
            'our_privileges'    => $object->our_privileges,
            'image'             => $object->image,
            'description'       => $object->description,
            'keywords'          => $object->keywords,
            'slug'              => $object->slug,
            'deleted_at'        => $object->deleted_at,
            'url'               => [
                'public'    => trans_url('eurolloyds/'.$object->getPublicKey()),
                'user'      => guard_url('eurolloyds/object/'.$object->getRouteKey()),
            ], 
            'status'            => trans('app.'.$object->status),
            'created_at'        => format_date($object->created_at),
            'updated_at'        => format_date($object->updated_at),
        ];
    }
}